uk.gov.hmrc.mongo.test

# IndexedMongoQueriesSupport

###
Related Doc: package test

#### trait IndexedMongoQueriesSupport extends MongoSupport with BeforeAndAfterAll

Causes queries which don't use an index to generate com.mongodb.MongoQueryException or com.mongodb.MongoWriteException containing message 'No query solutions'

Self Type
  IndexedMongoQueriesSupport with TestSuite

Linear Supertypes
BeforeAndAfterAll, SuiteMixin, MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
DefaultPlayMongoRepositorySupport
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexedMongoQueriesSupport
2. BeforeAndAfterAll
3. SuiteMixin
4. MongoSupport
5. ScalaFutures
6. Futures
7. PatienceConfiguration
8. AbstractPatienceConfiguration
9. ScaledTimeSpans
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### trait FutureConcept[T] extends AnyRef

   Definition Classes
     Futures

2. #### final case class PatienceConfig extends Product with Serializable

   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1. #### abstract def expectedTestCount(filter: Filter): Int

   Definition Classes
     SuiteMixin

2. #### abstract def nestedSuites: IndexedSeq[Suite]

   Definition Classes
     SuiteMixin

3. #### abstract def rerunner: Option[String]

   Definition Classes
     SuiteMixin

4. #### abstract def runNestedSuites(args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

5. #### abstract def runTest(testName: String, args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

6. #### abstract def runTests(testName: Option[String], args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

7. #### abstract def suiteId: String

   Definition Classes
     SuiteMixin

8. #### abstract def suiteName: String

   Definition Classes
     SuiteMixin

9. #### abstract def tags: Map[String, Set[String]]

   Definition Classes
     SuiteMixin

10. #### abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData

    Definition Classes
      SuiteMixin

11. #### abstract def testNames: Set[String]

    Definition Classes
      SuiteMixin

12. #### abstract val styleName: String

    Definition Classes
      SuiteMixin
    Annotations
      @deprecated
    Deprecated

      (Since version 3.1.0) The styleName lifecycle method has been deprecated and will be removed in a future version of ScalaTest with no replacement.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def afterAll(): Unit

   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def beforeAll(): Unit

   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): (IndexedMongoQueriesSupport.this)#FutureConcept[T]

   Definition Classes
     ScalaFutures

9. #### val databaseName: String

   Attributes
     protected
   Definition Classes
     MongoSupport

10. #### def dropDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoSupport

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### def interval(value: Span): Interval

    Definition Classes
      PatienceConfiguration

17. #### val invokeBeforeAllAndAfterAllEvenIfNoTestsAreExpected: Boolean

    Definition Classes
      BeforeAndAfterAll

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### lazy val mongoClient: MongoClient

    Attributes
      protected
    Definition Classes
      MongoSupport

20. #### lazy val mongoComponent: MongoComponent

    Attributes
      protected
    Definition Classes
      MongoSupport

21. #### lazy val mongoDatabase: MongoDatabase

    Attributes
      protected
    Definition Classes
      MongoSupport

22. #### val mongoUri: String

    Attributes
      protected
    Definition Classes
      MongoSupport

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### implicit def patienceConfig: (IndexedMongoQueriesSupport.this)#PatienceConfig

    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration

27. #### def prepareDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoSupport

28. #### def run(testName: Option[String], args: Args): Status

    Definition Classes
      BeforeAndAfterAll → SuiteMixin

29. #### final def scaled(span: Span): Span

    Definition Classes
      ScaledTimeSpans

30. #### def spanScaleFactor: Double

    Definition Classes
      ScaledTimeSpans

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### lazy val throttleConfig: ThrottleConfig

    Attributes
      protected
    Definition Classes
      MongoSupport

33. #### def timeout(value: Span): Timeout

    Definition Classes
      PatienceConfiguration

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]

    Attributes
      protected
    Definition Classes
      MongoSupport

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T])(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

40. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

41. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

42. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

### Inherited from BeforeAndAfterAll

### Inherited from SuiteMixin

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped